Loading...
Searching...
No Matches
nth_element.hpp File Reference

## Functions

template<typename I , typename S , typename C = less, typename P = identity> requires random_access_iterator<I> && sortable<I, C, P>
constexpr I | ranges::nth_element (I first, I nth, S end_, C pred=C{}, P proj=P{})
| function template `nth_element`
template<typename Rng , typename C = less, typename P = identity> requires random_access_range<Rng> && sortable<iterator_t<Rng>, C, P>
constexpr borrowed_iterator_t< Rng > | ranges::nth_element (Rng &&rng, iterator_t< Rng > nth, C pred=C{}, P proj=P{})
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.